Draft Layer: Difference between revisions

From FreeCAD Documentation
(This tool replaces Draft VisGroup starting from FreeCAD 0.19.)
 
No edit summary
(9 intermediate revisions by 6 users not shown)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav|[[Draft_FlipDimension|Flip Dimension]]|[[Draft Slope|Slope]]|[[Draft_Module|Draft]]|IconL=Draft_FlipDimension.svg|IconC=Workbench_Draft.svg|IconR=Draft_Slope.svg}}
{{Docnav
|[[Draft_FlipDimension|Flip Dimension]]
|[[Draft Slope|Slope]]
|[[Draft_Module|Draft]]
|IconL=Draft_FlipDimension.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Slope.svg
}}




<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Draft Layer
|Name=Draft Layer
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|MenuLocation=Draft → Utilities → Layer
|MenuLocation=Draft → Utilities → Layer
|Version=0.19
|Version=0.19
|See also=[[Draft VisGroup|Draft VisGroup]] (deprecated)
|See also=[[Draft_VisGroup|Draft VisGroup]] (deprecated)
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The [[Draft Layer|Draft Layer]] creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.
The [[Draft_Layer|Draft Layer]] creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.


<!--T:5-->
This tool replaces [[Draft VisGroup|Draft VisGroup]] starting from FreeCAD 0.19.
This tool replaces [[Draft_VisGroup|Draft VisGroup]] starting from FreeCAD 0.19.


<!--T:15-->
==How to use==
'''Note''': The [[BIM_Workbench|BIM Workbench]] offers a complete [[BIM_Layers|layer manager tool]], which will eventually be included in Draft.


==Usage== <!--T:6-->

<!--T:7-->
# Go to the menu {{MenuCommand|Draft → Utilities → [[Image:Draft_Layer.svg|16px]] Layer}}.
# Go to the menu {{MenuCommand|Draft → Utilities → [[Image:Draft_Layer.svg|16px]] Layer}}.
# Change the desired view properties of the Layer.
# Change the desired view properties of the Layer.


== Properties ==
== Properties == <!--T:8-->


<!--T:9-->
* {{PropertyData|Group}}: specifies the elements that are part of the group.
* {{PropertyData|Group}}: specifies the elements that are part of the group.
* Visual properties that can be changed that are propagated to the objects: drawing style, line color, line width, shape color, transparency, and visibility.
* Visual properties that can be changed that are propagated to the objects: {{PropertyView|Drawing Style}}, {{PropertyView|Line Color}}, {{PropertyView|Line Width}}, {{PropertyView|Shape Color}}, {{PropertyView|Transparency}}, and {{PropertyView|Visibility}}.


== Scripting == <!--T:12-->


<!--T:13-->
{{Docnav|[[Draft_FlipDimension|Flip Dimension]]|[[Draft Slope|Slope]]|[[Draft_Module|Draft]]|IconL=Draft_FlipDimension.svg|IconC=Workbench_Draft.svg|IconR=Draft_Slope.svg}}
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:14-->
To add or remove objects from the layer, simply overwrite its {{incode|Group}} attribute.

</translate>
{{Code|code=
group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group
}}
<translate>

<!--T:10-->
{{Docnav
|[[Draft_FlipDimension|Flip Dimension]]
|[[Draft Slope|Slope]]
|[[Draft_Module|Draft]]
|IconL=Draft_FlipDimension.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Slope.svg
}}


{{Draft Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 13:07, 21 November 2020


Draft Layer

Menu location
Draft → Utilities → Layer
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.19
See also
None

Description

The Draft Layer creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.

This tool replaces Draft VisGroup starting from FreeCAD 0.19.

Note: The BIM Workbench offers a complete layer manager tool, which will eventually be included in Draft.

Usage

  1. Go to the menu Draft → Utilities → Layer.
  2. Change the desired view properties of the Layer.

Properties

  • DataGroup: specifies the elements that are part of the group.
  • Visual properties that can be changed that are propagated to the objects: ViewDrawing Style, ViewLine Color, ViewLine Width, ViewShape Color, ViewTransparency, and ViewVisibility.

Scripting

See also: FreeCAD Scripting Basics.

To add or remove objects from the layer, simply overwrite its Group attribute.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group